Index: typo3/sysext/cms/tslib/content/class.tslib_content_multimedia.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_multimedia.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_multimedia.php	(Arbeitskopie)
@@ -121,8 +121,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_multimedia.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_multimedia.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_multimedia.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_multimedia.php']);
 }
 
 ?>
Index: typo3/sysext/cms/tslib/content/class.tslib_content_imageresource.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_imageresource.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_imageresource.php	(Arbeitskopie)
@@ -58,8 +58,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_imageresource.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_imageresource.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_imageresource.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_imageresource.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_offsettable.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_offsettable.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_offsettable.php	(Arbeitskopie)
@@ -52,8 +52,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_offsettable.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_offsettable.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_offsettable.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_offsettable.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_form.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_form.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_form.php	(Arbeitskopie)
@@ -875,8 +875,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_form.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_form.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_form.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_form.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_horizontalruler.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_horizontalruler.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_horizontalruler.php	(Arbeitskopie)
@@ -108,8 +108,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_horizontalruler.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_horizontalruler.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_horizontalruler.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_horizontalruler.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_content.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_content.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_content.php	(Arbeitskopie)
@@ -171,8 +171,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_content.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_content.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_content.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_content.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_user_internal.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_user_internal.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_user_internal.php	(Arbeitskopie)
@@ -58,8 +58,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user_internal.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user_internal.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user_internal.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user_internal.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_template.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_template.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_template.php	(Arbeitskopie)
@@ -204,8 +204,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_template.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_template.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_template.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_template.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_user.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_user.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_user.php	(Arbeitskopie)
@@ -62,8 +62,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_user.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_quicktimeobject.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_quicktimeobject.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_quicktimeobject.php	(Arbeitskopie)
@@ -96,8 +96,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_quicktimeobject.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_quicktimeobject.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_quicktimeobject.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_quicktimeobject.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_loadregister.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_loadregister.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_loadregister.php	(Arbeitskopie)
@@ -67,8 +67,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_loadregister.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_loadregister.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_loadregister.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_loadregister.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_text.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_text.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_text.php	(Arbeitskopie)
@@ -48,8 +48,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_text.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_text.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_text.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_text.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_restoreregister.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_restoreregister.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_restoreregister.php	(Arbeitskopie)
@@ -50,8 +50,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_restoreregister.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_restoreregister.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_restoreregister.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_restoreregister.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/content/class.tslib_content_contentobjectarray_internal.php
===================================================================
--- typo3/sysext/cms/tslib/content/class.tslib_content_contentobjectarray_internal.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/content/class.tslib_content_contentobjectarray_internal.php	(Arbeitskopie)
@@ -64,8 +64,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_contentobjectarray_internal.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_contentobjectarray_internal.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_contentobjectarray_internal.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/content/class.tslib_content_contentobjectarray_internal.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/class.tslib_mediawizardcoreprovider.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_mediawizardcoreprovider.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/class.tslib_mediawizardcoreprovider.php	(Arbeitskopie)
@@ -271,8 +271,8 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/class.tslib_mediawizardcoreprovider.php']) {
-	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/class.tslib_mediawizardcoreprovider.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/class.tslib_mediawizardcoreprovider.php'])) {
+	include_once ($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/class.tslib_mediawizardcoreprovider.php']);
 }
 
 ?>
Index: typo3/sysext/cms/tslib/class.tslib_fetce.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_fetce.php	(Revision 9643)
+++ typo3/sysext/cms/tslib/class.tslib_fetce.php	(Arbeitskopie)
@@ -290,8 +290,8 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/class.tslib_fetce.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['tslib/class.tslib_fetce.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/class.tslib_fetce.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['tslib/class.tslib_fetce.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/version/cm1/index.php
===================================================================
--- typo3/sysext/version/cm1/index.php	(Revision 9643)
+++ typo3/sysext/version/cm1/index.php	(Arbeitskopie)
@@ -1836,8 +1836,8 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/version/cm1/index.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/version/cm1/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/version/cm1/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/version/cm1/index.php']);
 }
 
 
Index: typo3/sysext/version/tasks/class.tx_version_tasks_autopublish.php
===================================================================
--- typo3/sysext/version/tasks/class.tx_version_tasks_autopublish.php	(Revision 9643)
+++ typo3/sysext/version/tasks/class.tx_version_tasks_autopublish.php	(Arbeitskopie)
@@ -54,7 +54,7 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/version/tasks/class.tx_version_tasks_autopublish.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/version/tasks/class.tx_version_tasks_autopublish.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/version/tasks/class.tx_version_tasks_autopublish.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/version/tasks/class.tx_version_tasks_autopublish.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/version/ws/class.wslib.php
===================================================================
--- typo3/sysext/version/ws/class.wslib.php	(Revision 9643)
+++ typo3/sysext/version/ws/class.wslib.php	(Arbeitskopie)
@@ -239,7 +239,7 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/version/ws/workspaceforms.php
===================================================================
--- typo3/sysext/version/ws/workspaceforms.php	(Revision 9643)
+++ typo3/sysext/version/ws/workspaceforms.php	(Arbeitskopie)
@@ -645,8 +645,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/workspaceforms.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/workspaceforms.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/workspaceforms.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/workspaceforms.php']);
 }
 
 // Make instance:
Index: typo3/sysext/version/ws/wsol_preview.php
===================================================================
--- typo3/sysext/version/ws/wsol_preview.php	(Revision 9643)
+++ typo3/sysext/version/ws/wsol_preview.php	(Arbeitskopie)
@@ -208,8 +208,8 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/wsol_preview.php']) {
-    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/wsol_preview.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/wsol_preview.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/wsol_preview.php']);
 }
 
 $previewObject = t3lib_div::makeInstance('wsol_preview');
Index: typo3/sysext/version/ws/publish.php
===================================================================
--- typo3/sysext/version/ws/publish.php	(Revision 9643)
+++ typo3/sysext/version/ws/publish.php	(Arbeitskopie)
@@ -255,8 +255,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/publish.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/publish.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/publish.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/publish.php']);
 }
 
 // Make instance:
Index: typo3/sysext/version/ws/index.php
===================================================================
--- typo3/sysext/version/ws/index.php	(Revision 9643)
+++ typo3/sysext/version/ws/index.php	(Arbeitskopie)
@@ -1078,8 +1078,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/index.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/index.php']);
 }
 
 
Index: typo3/sysext/version/ws/class.wslib_gui.php
===================================================================
--- typo3/sysext/version/ws/class.wslib_gui.php	(Revision 9643)
+++ typo3/sysext/version/ws/class.wslib_gui.php	(Arbeitskopie)
@@ -1302,8 +1302,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib_gui.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib_gui.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib_gui.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/user/ws/class.wslib_gui.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/version/class.tx_version_cm1.php
===================================================================
--- typo3/sysext/version/class.tx_version_cm1.php	(Revision 9643)
+++ typo3/sysext/version/class.tx_version_cm1.php	(Arbeitskopie)
@@ -127,7 +127,7 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/version/class.tx_version_cm1.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/version/class.tx_version_cm1.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/version/class.tx_version_cm1.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/version/class.tx_version_cm1.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php
===================================================================
--- typo3/sysext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php	(Revision 9643)
+++ typo3/sysext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php	(Arbeitskopie)
@@ -164,7 +164,7 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/func/mod1/index.php
===================================================================
--- typo3/sysext/func/mod1/index.php	(Revision 9643)
+++ typo3/sysext/func/mod1/index.php	(Arbeitskopie)
@@ -216,8 +216,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/web/func/index.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/web/func/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/web/func/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/web/func/index.php']);
 }
 
 
Index: typo3/sysext/tstemplate_info/class.tx_tstemplateinfo.php
===================================================================
--- typo3/sysext/tstemplate_info/class.tx_tstemplateinfo.php	(Revision 9643)
+++ typo3/sysext/tstemplate_info/class.tx_tstemplateinfo.php	(Arbeitskopie)
@@ -594,8 +594,8 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/tstemplate_info/class.tx_tstemplateinfo.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/tstemplate_info/class.tx_tstemplateinfo.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/tstemplate_info/class.tx_tstemplateinfo.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/tstemplate_info/class.tx_tstemplateinfo.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/func_wizards/class.tx_funcwizards_webfunc.php
===================================================================
--- typo3/sysext/func_wizards/class.tx_funcwizards_webfunc.php	(Revision 9643)
+++ typo3/sysext/func_wizards/class.tx_funcwizards_webfunc.php	(Arbeitskopie)
@@ -115,7 +115,7 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/func_wizards/class.tx_funcwizards_webfunc.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/func_wizards/class.tx_funcwizards_webfunc.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/func_wizards/class.tx_funcwizards_webfunc.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/func_wizards/class.tx_funcwizards_webfunc.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/feedit/view/class.tx_feedit_editpanel.php
===================================================================
--- typo3/sysext/feedit/view/class.tx_feedit_editpanel.php	(Revision 9643)
+++ typo3/sysext/feedit/view/class.tx_feedit_editpanel.php	(Arbeitskopie)
@@ -418,8 +418,8 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/feedit/view/class.tx_feedit_editpanel.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/feedit/view/class.tx_feedit_editpanel.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/feedit/view/class.tx_feedit_editpanel.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/feedit/view/class.tx_feedit_editpanel.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/setup/mod/index.php
===================================================================
--- typo3/sysext/setup/mod/index.php	(Revision 9643)
+++ typo3/sysext/setup/mod/index.php	(Arbeitskopie)
@@ -966,8 +966,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/setup/mod/index.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/setup/mod/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/setup/mod/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/setup/mod/index.php']);
 }
 
 
Index: typo3/sysext/em/classes/index.php
===================================================================
--- typo3/sysext/em/classes/index.php	(Revision 9643)
+++ typo3/sysext/em/classes/index.php	(Arbeitskopie)
@@ -2552,8 +2552,8 @@
 $SOBE->main();
 $SOBE->printContent();
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['em/index.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['em/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['em/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['em/index.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/em/classes/tools/class.tx_em_tools.php
===================================================================
--- typo3/sysext/em/classes/tools/class.tx_em_tools.php	(Revision 9643)
+++ typo3/sysext/em/classes/tools/class.tx_em_tools.php	(Arbeitskopie)
@@ -860,14 +860,15 @@
 								}
 							}
 								// Check for proper XCLASS definition
-								// Match $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS'] with single or doublequotes
+								// Match $GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS'] with single or doublequotes
 							$XclassSearch = '\$TYPO3_CONF_VARS\[TYPO3_MODE\]\[[\'"]XCLASS[\'"]\]';
 							$XclassParts = preg_split('/if \(defined\([\'"]TYPO3_MODE[\'"]\) && ' . $XclassSearch . '/', $fContent, 2);
 							if (count($XclassParts) !== 2) {
 									// Match $GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS'] with single or doublequotes
 								$XclassSearch = '\$GLOBALS\[[\'"]TYPO3_CONF_VARS[\'"]\]\[TYPO3_MODE\]\[[\'"]XCLASS[\'"]\]';
-								$XclassParts = preg_split('/if \(defined\([\'"]TYPO3_MODE[\'"]\) && ' . $XclassSearch . '/', $fContent, 2);
+								$XclassParts = preg_split('/if \(defined\([\'"]TYPO3_MODE[\'"]\) && [iset(]*?' . $XclassSearch . '/', $fContent, 2);
 							}
+
 							if (count($XclassParts) == 2) {
 								unset($reg);
 								preg_match('/^\[[\'"]([[:alnum:]_\/\.]*)[\'"]\]/', $XclassParts[1], $reg);
Index: typo3/sysext/impexp/app/index.php
===================================================================
--- typo3/sysext/impexp/app/index.php	(Revision 9643)
+++ typo3/sysext/impexp/app/index.php	(Arbeitskopie)
@@ -1712,8 +1712,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/app/index.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/app/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/app/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/app/index.php']);
 }
 
 
Index: typo3/sysext/impexp/class.tx_impexp_clickmenu.php
===================================================================
--- typo3/sysext/impexp/class.tx_impexp_clickmenu.php	(Revision 9643)
+++ typo3/sysext/impexp/class.tx_impexp_clickmenu.php	(Arbeitskopie)
@@ -126,7 +126,7 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp_clickmenu.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp_clickmenu.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp_clickmenu.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp_clickmenu.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/impexp/task/class.tx_impexp_task.php
===================================================================
--- typo3/sysext/impexp/task/class.tx_impexp_task.php	(Revision 9643)
+++ typo3/sysext/impexp/task/class.tx_impexp_task.php	(Arbeitskopie)
@@ -210,8 +210,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/task/class.tx_impexp_task.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/task/class.tx_impexp_task.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/task/class.tx_impexp_task.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/task/class.tx_impexp_task.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/impexp/class.tx_impexp.php
===================================================================
--- typo3/sysext/impexp/class.tx_impexp.php	(Revision 9643)
+++ typo3/sysext/impexp/class.tx_impexp.php	(Arbeitskopie)
@@ -3335,7 +3335,7 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/class.tx_impexp.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php
===================================================================
--- typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php	(Revision 9643)
+++ typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php	(Arbeitskopie)
@@ -216,7 +216,7 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/modfunc1/class.tx_impexp_modfunc1.php'])    {
-    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/impexp/modfunc1/class.tx_impexp_modfunc1.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/modfunc1/class.tx_impexp_modfunc1.php'])) {
+    include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/impexp/modfunc1/class.tx_impexp_modfunc1.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/class.ux_t3lib_sqlparser.php
===================================================================
--- typo3/sysext/dbal/class.ux_t3lib_sqlparser.php	(Revision 9643)
+++ typo3/sysext/dbal/class.ux_t3lib_sqlparser.php	(Arbeitskopie)
@@ -682,8 +682,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_sqlparser.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_sqlparser.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_sqlparser.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_sqlparser.php']);
 }
 
 ?>
\ No newline at end of file
